aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Saleem Abdulrasool <compnerd@compnerd.org> 2016-01-17 15:07:01 -0800
committerAvatar Saleem Abdulrasool <compnerd@compnerd.org> 2016-01-17 15:07:01 -0800
commit1e359553c2e5da698318714bd77884da0288f4d8 (patch)
treeca6280aa4b9d3d2ee94172d653b0ef262c0792ef
parentab3bf63b75173ebf0fa3de6361ad4ae27f154894 (diff)
downloadpaludis-1e359553c2e5da698318714bd77884da0288f4d8.tar.gz
paludis-1e359553c2e5da698318714bd77884da0288f4d8.tar.xz
build: tweak do_m4.bash
Reduce includes which are no longer needed. Now that we use the absolute paths as arguments, we only need the top level include for the miscellaneous includes. This ideally would have been a part of the previous commit.
-rwxr-xr-xmisc/do_m4.bash8
1 files changed, 6 insertions, 2 deletions
diff --git a/misc/do_m4.bash b/misc/do_m4.bash
index a924d93..1b8c1ab 100755
--- a/misc/do_m4.bash
+++ b/misc/do_m4.bash
@@ -16,8 +16,12 @@ get_m4() {
kill $KILL_PID
}
-echo ">>> $(get_m4) -I. -I.. -I../.. -E ${1} > ${2}"
-if ! $(get_m4) -I. -I.. -I../.. -E ${1} > ${2} ; then
+get_abs_top_srcdir() {
+ echo "$(dirname $(dirname "${0}"))"
+}
+
+echo ">>> $(get_m4) -I $(get_abs_top_srcdir) -E ${1} > ${2}"
+if ! $(get_m4) -I $(get_abs_top_srcdir) -E ${1} > ${2} ; then
echo "oops!" 1>&2
exit 127
fi